List customers
curl --request GET \
--url https://apiv2.example.com/customers \
--header 'X-Api-Key: <api-key>'import requests
url = "https://apiv2.example.com/customers"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://apiv2.example.com/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apiv2.example.com/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apiv2.example.com/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apiv2.example.com/customers")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apiv2.example.com/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"customerId": "<string>",
"customerType": "CONSUMER",
"name": "<string>",
"contact": {
"email": "jsmith@example.com",
"msisdn": "<string>"
},
"identity": "<string>",
"preferredLocale": "en-US",
"humanReadableId": "29A-BY3Z-X78",
"referenceId": "crm-customer-12345",
"billing": {
"method": "E_INVOICE",
"currency": "USD",
"email": "billing@company.com",
"address": {
"street1": "500 S Main St",
"city": "Natick",
"zip": "01701",
"country": "US",
"street2": "Apt 1",
"state": "CA",
"region": "<string>",
"attention": "<string>"
},
"defaultPaymentProfileId": "c1d2e3f4-a5b6-7890-1234-901234567890",
"autoPay": true
},
"users": [
{
"userId": "<string>",
"name": "<string>",
"role": "MEMBER"
}
],
"contactPerson": {
"userId": "<string>",
"name": "<string>",
"role": "MEMBER"
},
"shipping": {
"name": "John Doe",
"address": {
"street1": "500 S Main St",
"city": "Natick",
"zip": "01701",
"country": "US",
"street2": "Apt 1",
"state": "CA",
"region": "<string>",
"attention": "<string>"
},
"msisdn": "+15551234567",
"instructions": "Leave at front door"
},
"metadata": {}
}
],
"pagination": {
"nextCursor": "<string>"
}
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}Customers
List customers
List all customers.
Will return all customers the requester has access to.
GET
/
customers
List customers
curl --request GET \
--url https://apiv2.example.com/customers \
--header 'X-Api-Key: <api-key>'import requests
url = "https://apiv2.example.com/customers"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://apiv2.example.com/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apiv2.example.com/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apiv2.example.com/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apiv2.example.com/customers")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apiv2.example.com/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"customerId": "<string>",
"customerType": "CONSUMER",
"name": "<string>",
"contact": {
"email": "jsmith@example.com",
"msisdn": "<string>"
},
"identity": "<string>",
"preferredLocale": "en-US",
"humanReadableId": "29A-BY3Z-X78",
"referenceId": "crm-customer-12345",
"billing": {
"method": "E_INVOICE",
"currency": "USD",
"email": "billing@company.com",
"address": {
"street1": "500 S Main St",
"city": "Natick",
"zip": "01701",
"country": "US",
"street2": "Apt 1",
"state": "CA",
"region": "<string>",
"attention": "<string>"
},
"defaultPaymentProfileId": "c1d2e3f4-a5b6-7890-1234-901234567890",
"autoPay": true
},
"users": [
{
"userId": "<string>",
"name": "<string>",
"role": "MEMBER"
}
],
"contactPerson": {
"userId": "<string>",
"name": "<string>",
"role": "MEMBER"
},
"shipping": {
"name": "John Doe",
"address": {
"street1": "500 S Main St",
"city": "Natick",
"zip": "01701",
"country": "US",
"street2": "Apt 1",
"state": "CA",
"region": "<string>",
"attention": "<string>"
},
"msisdn": "+15551234567",
"instructions": "Leave at front door"
},
"metadata": {}
}
],
"pagination": {
"nextCursor": "<string>"
}
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}Authorizations
apiKeybearerAuth & apiKey
An API key that grants access to the Connect API. You can create and manage API keys in the portal.
Query Parameters
A free text search string to filter customers.
The maximum number of items to return.
Required range:
1 <= x <= 1000Opaque pagination token from a previous response's nextCursor.